Package org.eclipse.jgit.api.errors

## Class CanceledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.api.errors.GitAPIException
      - - org.eclipse.jgit.api.errors.CanceledException

All Implemented Interfaces:
  `Serializable`

    public class CanceledException
    extends GitAPIException

Exception thrown when an operation was canceled

See Also:
  Serialized Form

### Constructor Summary

Constructors
`CanceledException​(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CanceledException

    public CanceledException​(String message)

Parameters:
  `message` -